# GroovySourceSet

API Documentation: | `GroovySourceSet`

A `GroovySourceSetConvention` defines the properties and methods added to a `SourceSet` by the `GroovyPlugin`.

### Properties

Property | Description
`allGroovy` | All Groovy source for this source set.
`groovy` | The source to be compiled by the Groovy compiler for this source set. Any Java source present in this set will be passed to the Groovy compiler for joint compilation.

### Methods

Method | Description
`groovy(configureAction)` | Configures the Groovy source for this set.

### Script blocks

Block | Description
`groovy` | Configures the Groovy source for this set.

### Property details

#### `SourceDirectorySet` `allGroovy` (read-only)

All Groovy source for this source set.

Default with `groovy` plugin:
  `[groovy]`

#### `SourceDirectorySet` `groovy` (read-only)

The source to be compiled by the Groovy compiler for this source set. Any Java source present in this set will be passed to the Groovy compiler for joint compilation.

Default with `groovy` plugin:
  `[`${project.projectDir}`/src/`${sourceSet.name}`/groovy]`

### Method details

#### `GroovySourceSet` `groovy`(``Action`<? super `SourceDirectorySet`>` configureAction)

Configures the Groovy source for this set.

The given action is used to configure the `SourceDirectorySet` which contains the Groovy source.

### Script block details

#### `groovy` { }

Configures the Groovy source for this set.

The given closure is used to configure the `SourceDirectorySet` which contains the Groovy source.

Delegates to:
  `SourceDirectorySet` from `groovy`